( cd usr/lib64 ; rm -rf libspreadsheet.so )
( cd usr/lib64 ; ln -sf libspreadsheet-1.10.5.so libspreadsheet.so )
( cd usr/bin ; rm -rf gnumeric )
( cd usr/bin ; ln -sf gnumeric-1.10.5 gnumeric )

if [ -x usr/bin/gconftool-2 ]; then
GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults"     usr/bin/gconftool-2 --makefile-install-rule etc/gconf/schemas/gnumeric-dialogs.schemas >/dev/null 2>&1
GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults"     usr/bin/gconftool-2 --makefile-install-rule etc/gconf/schemas/gnumeric-general.schemas >/dev/null 2>&1
GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults"     usr/bin/gconftool-2 --makefile-install-rule etc/gconf/schemas/gnumeric-plugins.schemas >/dev/null 2>&1
fi
# update rarian database
if [ -x usr/bin/rarian-sk-update ]; then
  usr/bin/rarian-sk-update 1> /dev/null 2> /dev/null
fi

# update desktop entries
if [ -x usr/bin/update-desktop-database ]; then
  usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
fi

# update hicolor icons
if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
        rm -f usr/share/icons/hicolor/icon-theme.cache
fi
usr/bin/gtk-update-icon-cache -f -q usr/share/icons/hicolor 1>/dev/null 2>/dev/null

# Restart gconfd-2 if running to reload new gconf settings
if ps acx | grep -q gconfd-2 ; then
        killall -HUP gconfd-2 ;
fi
